Device

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hn
Interface Device

    public interface Device

The `Device` interface represents a Homenetwork device that supports homenetwork NetModules. A Device is a hierarchical structure with root device being the physical appliance, such as an OCAP_Terminal or an OCAP_HOST. The valid device types for an OCAP root device are OCAP_HOST and OCAP_Terminal. A root device may contain a number of sub-devices, such as a MediaServer or a MediaRenderer. Each sub-device may support one or more NetModule(s) whereas each NetModule only represents one sub-device. A NetModule is some functional unit in the device and examples of NetModules are ContentList, ContentManager, etc. A device may also have certain capabilities and properties associated with it. An application can retrieve these capabilities and properties by using property filters

Field Summary
`static String` | `CAP_REMOTE_STORAGE_SUPPORTED` A constant indicating remote storage capability.
`static String` | `CAP_STREAMING_SUPPORTED` A constant indicating streaming capability of the device.
`static String` | `CAP_TUNER_SUPPORTED` A constant indicating if the device has a tuner.
`static String` | `PROP_FRIENDLY_NAME` A constant for a friendly name of the device.
`static String` | `PROP_LOCATION` A constant indicates device property: location of the device.
`static String` | `PROP_MANUFACTURER` A constant indicating the manufacturer of this device.
`static String` | `PROP_MANUFACTURER_URL` A constant providing URL to the manufacturer's web site.
`static String` | `PROP_MIDDLEWARE_PROFILE` A constant indicates device property: middleware profile.
`static String` | `PROP_MIDDLEWARE_VERSION` A constant indicates device property: middleware version.
`static String` | `PROP_MODEL_DESCRIPTION` A constant providing description of the device.
`static String` | `PROP_MODEL_NAME` A constant indicates device property: model name.
`static String` | `PROP_MODEL_NUMBER` A constant indicates device property: model number.
`static String` | `PROP_MODEL_URL` A constant indicates device property: model URL.
`static String` | `PROP_PRESENTATION_URL` A constant indicates device property: presentation URL.
`static String` | `PROP_SERIAL_NUMBER` A constant indicates device property: serial number.
`static String` | `PROP_UDN` A constant indicates device property: unique device name.
`static String` | `PROP_UPC` A constant indicates device property: universal product code.
`static String` | `TYPE_BINARY_LIGHT` A constant indicates device type: Binary Light (on/off).
`static String` | `TYPE_DIMMABLE_LIGHT` A constant indicates device type: Dimmable Light (light intensity control).
`static String` | `TYPE_HVAC_SYSTEM` A constant indicates device type: Heater-Vent-Air Conditioning System.
`static String` | `TYPE_HVAC_ZONE_THERMOSTAT` A constant indicates device type: Heater-Vent-Air Conditioning Thermostat.
`static String` | `TYPE_INTERNET_GATEWAY_DEVICE` A constant indicates device type: Internet gateway device.
`static String` | `TYPE_LAN_DEVICE` A constant indicates device type: LAN device.
`static String` | `TYPE_MEDIA_RENDERER` A constant indicates device type: Media Renderer.
`static String` | `TYPE_MEDIA_SERVER` A constant indicates device type: Media Server.
`static String` | `TYPE_OCAP_HOST` A constant indicates device type: OCAP Host.
`static String` | `TYPE_OCAP_TERMINAL` A constant indicates device type: OCAP terminal.
`static String` | `TYPE_PRINTER` A constant indicates device type: Printer.
`static String` | `TYPE_REMOTE_UI_CLIENT_DEVICE` A constant indicates device type: Remote UI Client Device, Allows for basic operations on a Remote UI client including: user interface connection management, optionally user interface availability management and optionally basic user interaction.
`static String` | `TYPE_REMOTE_UI_SERVER_DEVICE` A constant indicates device type: Remote UI Server Device.
`static String` | `TYPE_SCANNER` A constant indicates device type: Scanner.
`static String` | `TYPE_WAN_CONNECTION_DEVICE` A constant indicates device type: WAN connection device.
`static String` | `TYPE_WAN_DEVICE` A constant indicates device type: WAN device.
`static String` | `TYPE_WLAN_ACCESS_POINT_DEVICE` A constant indicates device type: WAN access point device.

Method Summary
`Enumeration` | `getCapabilities()` Returns capabilities of this device in `Enumeration`.
`Enumeration` | `getKeys()` Returns all property keys supported by this device in `Enumeration`.
`String` | `getName()` Returns the name of this device.
`NetModule` | `getNetModule(String moduleId)` Returns the NetModule by module id.
`NetList` | `getNetModuleList()` Returns the list of NetModules supported by this device.
`String` | `getProperty(String key)` Returns property of this device specified by a key.
`NetList` | `getSubDevices()` Returns a list of sub devices hosted by this device.
`String` | `getType()` Returns the type of this device, for example, MediaRenderer, MediaServer, etc.

Field Detail

### CAP_STREAMING_SUPPORTED

    static final String CAP_STREAMING_SUPPORTED

  A constant indicating streaming capability of the device.

  See Also:
    Constant Field Values

### CAP_TUNER_SUPPORTED

    static final String CAP_TUNER_SUPPORTED

  A constant indicating if the device has a tuner.

  See Also:
    Constant Field Values

### CAP_REMOTE_STORAGE_SUPPORTED

    static final String CAP_REMOTE_STORAGE_SUPPORTED

  A constant indicating remote storage capability.

  See Also:
    Constant Field Values

### PROP_FRIENDLY_NAME

    static final String PROP_FRIENDLY_NAME

  A constant for a friendly name of the device.

  See Also:
    Constant Field Values

### PROP_MANUFACTURER

    static final String PROP_MANUFACTURER

  A constant indicating the manufacturer of this device.

  See Also:
    Constant Field Values

### PROP_MANUFACTURER_URL

    static final String PROP_MANUFACTURER_URL

  A constant providing URL to the manufacturer's web site.

  See Also:
    Constant Field Values

### PROP_MODEL_DESCRIPTION

    static final String PROP_MODEL_DESCRIPTION

  A constant providing description of the device.

  See Also:
    Constant Field Values

### PROP_MODEL_NAME

    static final String PROP_MODEL_NAME

  A constant indicates device property: model name.

  See Also:
    Constant Field Values

### PROP_MODEL_NUMBER

    static final String PROP_MODEL_NUMBER

  A constant indicates device property: model number.

  See Also:
    Constant Field Values

### PROP_MODEL_URL

    static final String PROP_MODEL_URL

  A constant indicates device property: model URL.

  See Also:
    Constant Field Values

### PROP_SERIAL_NUMBER

    static final String PROP_SERIAL_NUMBER

  A constant indicates device property: serial number.

  See Also:
    Constant Field Values

### PROP_UDN

    static final String PROP_UDN

  A constant indicates device property: unique device name.

  See Also:
    Constant Field Values

### PROP_UPC

    static final String PROP_UPC

  A constant indicates device property: universal product code.

  See Also:
    Constant Field Values

### PROP_PRESENTATION_URL

    static final String PROP_PRESENTATION_URL

  A constant indicates device property: presentation URL.

  See Also:
    Constant Field Values

### PROP_LOCATION

    static final String PROP_LOCATION

  A constant indicates device property: location of the device.

  See Also:
    Constant Field Values

### PROP_MIDDLEWARE_PROFILE

    static final String PROP_MIDDLEWARE_PROFILE

  A constant indicates device property: middleware profile.

  See Also:
    Constant Field Values

### PROP_MIDDLEWARE_VERSION

    static final String PROP_MIDDLEWARE_VERSION

  A constant indicates device property: middleware version.

  See Also:
    Constant Field Values

### TYPE_HVAC_SYSTEM

    static final String TYPE_HVAC_SYSTEM

  A constant indicates device type: Heater-Vent-Air Conditioning System.

  See Also:
    Constant Field Values

### TYPE_HVAC_ZONE_THERMOSTAT

    static final String TYPE_HVAC_ZONE_THERMOSTAT

  A constant indicates device type: Heater-Vent-Air Conditioning Thermostat.

  See Also:
    Constant Field Values

### TYPE_INTERNET_GATEWAY_DEVICE

    static final String TYPE_INTERNET_GATEWAY_DEVICE

  A constant indicates device type: Internet gateway device.

  See Also:
    Constant Field Values

### TYPE_LAN_DEVICE

    static final String TYPE_LAN_DEVICE

  A constant indicates device type: LAN device.

  See Also:
    Constant Field Values

### TYPE_WAN_CONNECTION_DEVICE

    static final String TYPE_WAN_CONNECTION_DEVICE

  A constant indicates device type: WAN connection device.

  See Also:
    Constant Field Values

### TYPE_WAN_DEVICE

    static final String TYPE_WAN_DEVICE

  A constant indicates device type: WAN device.

  See Also:
    Constant Field Values

### TYPE_BINARY_LIGHT

    static final String TYPE_BINARY_LIGHT

  A constant indicates device type: Binary Light (on/off).

  See Also:
    Constant Field Values

### TYPE_DIMMABLE_LIGHT

    static final String TYPE_DIMMABLE_LIGHT

  A constant indicates device type: Dimmable Light (light intensity control).

  See Also:
    Constant Field Values

### TYPE_MEDIA_SERVER

    static final String TYPE_MEDIA_SERVER

  A constant indicates device type: Media Server.

  See Also:
    Constant Field Values

### TYPE_MEDIA_RENDERER

    static final String TYPE_MEDIA_RENDERER

  A constant indicates device type: Media Renderer.

  See Also:
    Constant Field Values

### TYPE_PRINTER

    static final String TYPE_PRINTER

  A constant indicates device type: Printer.

  See Also:
    Constant Field Values

### TYPE_REMOTE_UI_CLIENT_DEVICE

    static final String TYPE_REMOTE_UI_CLIENT_DEVICE

  A constant indicates device type: Remote UI Client Device, Allows for basic operations on a Remote UI client including: user interface connection management, optionally user interface availability management and optionally basic user interaction.

  See Also:
    Constant Field Values

### TYPE_REMOTE_UI_SERVER_DEVICE

    static final String TYPE_REMOTE_UI_SERVER_DEVICE

  A constant indicates device type: Remote UI Server Device.

  See Also:
    `TYPE_REMOTE_UI_CLIENT_DEVICE`, Constant Field Values

### TYPE_SCANNER

    static final String TYPE_SCANNER

  A constant indicates device type: Scanner.

  See Also:
    Constant Field Values

### TYPE_WLAN_ACCESS_POINT_DEVICE

    static final String TYPE_WLAN_ACCESS_POINT_DEVICE

  A constant indicates device type: WAN access point device.

  See Also:
    Constant Field Values

### TYPE_OCAP_HOST

    static final String TYPE_OCAP_HOST

  A constant indicates device type: OCAP Host.

  See Also:
    Constant Field Values

### TYPE_OCAP_TERMINAL

    static final String TYPE_OCAP_TERMINAL

  A constant indicates device type: OCAP terminal.

  See Also:
    Constant Field Values

Method Detail

### getCapabilities

    Enumeration getCapabilities()

  Returns capabilities of this device in `Enumeration`. Capabilities are defined in `Device`.

  Returns:
    An enumeration of String objects representing capabilities of this device.

### getName

    String getName()

  Returns the name of this device. Device name is unique within a home network. The naming rule is proprietary. For example, "LivingRoom:OCAP_HOST1".

  Returns:
    name of this device

### getProperty

    String getProperty(String key)

  Returns property of this device specified by a key. Minimum supported keys are defined in `Device`, like PROP_MANUFACTURER, PROP_MODEL_NUMBER, etc.

  Parameters:
    `key` - key of the property
  Returns:
    property value specified by the key

### getKeys

    Enumeration getKeys()

  Returns all property keys supported by this device in `Enumeration`.

  Returns:
    An enumeration of String objects representing all property keys supported by this device

### getNetModuleList

    NetList getNetModuleList()

  Returns the list of NetModules supported by this device.

  Returns:
    `NetList` supported by this device

### getNetModule

    NetModule getNetModule(String moduleId)

  Returns the NetModule by module id. Module id is unique within a device.

  Parameters:
    `moduleId` - unique id of a NetModule
  Returns:
    NetModule by id, if specified NetModule is not supported by this device, then null is returned.

### getSubDevices

    NetList getSubDevices()

  Returns a list of sub devices hosted by this device.

  Returns:
    list of sub-devices.

### getType

    String getType()

  Returns the type of this device, for example, MediaRenderer, MediaServer, etc. All OCAP-HN device types are defined in `Device`.

  Returns:
    type of this device

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD